
Redmine - Feature #5869

Issue filters by Group and Role

2010-07-11 19:08 - Eric Kachur

Status: Closed Start date: 2010-07-11

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed   

Description

It would be great to be able to create custom queries by groups. I've got groups like "Client A", "Client B", "My Company" etc. and I've

created custom queries to search for the issues assigned to either my clients or my company. Unfortunately I have to modify all

custom queries each time I add/remove users. It would be much easier just to manage groups and to have filters use them.

Related issues:

Related to Redmine - Defect #9132: Filtering by "Assignee's Group" doesn't sh... Closed 2011-08-26

Is duplicate of Redmine - Feature #2570: Filter on assigned to role Closed 2009-01-23

Associated revisions

Revision 4077 - 2010-09-10 20:46 - Eric Davis

Added a "Member of Group" to the issues filter. #5869

This filter will check an issue's assigned to field for users in (or not in)

specific groups.

Revision 4078 - 2010-09-10 21:44 - Eric Davis

Added a "Member of Role" to the issues filters. #5869

This filter will check an issue's assigned to field for users who have

(or don't have) a specific Role(s).

History

#1 - 2010-07-11 19:58 - Eric Kachur

Or you can add search by "User Role" of the user assigned. This will also allow for more flexible custom queries.

#2 - 2010-09-10 20:43 - Eric Davis

- Category changed from Search engine to Issues

- Status changed from New to Closed

- Assignee set to Eric Davis

- Target version set to 1.1.0

- % Done changed from 0 to 100

- Resolution set to Fixed

I added a "Member of Group" to the issues filter.  This filter will check an issue's assigned to field for users in (or not in) specific groups.

r4077

#3 - 2010-09-10 21:41 - Eric Davis

- Subject changed from Allow filters by Group to Issue filters by Group and Role

Also added a "Member of Role" filter in r4078.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/4077
https://www.redmine.org/projects/redmine/repository/svn/revisions/4078
http://www.tcpdf.org

